io.netty.handler.codec.mqtt

## Class MqttMessageBuilders.SubAckBuilder

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttMessageBuilders.SubAckBuilder

Enclosing class:
  MqttMessageBuilders

    public static final class MqttMessageBuilders.SubAckBuilder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`MqttMessageBuilders.SubAckBuilder` `addGrantedQos(MqttQoS qos)`
`MqttMessageBuilders.SubAckBuilder` `addGrantedQoses(MqttQoS... qoses)`
`MqttSubAckMessage` `build()`
`MqttMessageBuilders.SubAckBuilder` `packetId(int packetId)`
`MqttMessageBuilders.SubAckBuilder` `packetId(short packetId)` Deprecated. use `packetId(int)` instead
`MqttMessageBuilders.SubAckBuilder` `properties(MqttProperties properties)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### packetId

    public MqttMessageBuilders.SubAckBuilder packetId(int packetId)

#### packetId

    @Deprecated
    public MqttMessageBuilders.SubAckBuilder packetId(short packetId)

Deprecated. use `packetId(int)` instead

#### properties

    public MqttMessageBuilders.SubAckBuilder properties(MqttProperties properties)

#### addGrantedQos

    public MqttMessageBuilders.SubAckBuilder addGrantedQos(MqttQoS qos)

#### addGrantedQoses

    public MqttMessageBuilders.SubAckBuilder addGrantedQoses(MqttQoS... qoses)

#### build

    public MqttSubAckMessage build()